# Stairs

ESP8266 firmware for controlling up to 16 LED strips on a flight of stairs.

## Features

- Configurable using WiFi (can act as an access point or connect to a router)
- Turn on or off at specific times
- Turn on when movement is detected by connecting one or two PIR sensors
- ReST API for configuration and controlling the lights

Most notably it does not support RGB LED strips out of the box, but feel free to add support if you're up to the task!

## Further reading

- [Wiring information](WIRING.md)
- [Programming the ESP8266 and/or modifying the source](DEVELOPING.md)