#ifndef __Protocol
#define __Protocol

#include <stdint.h>

class Command
{
  public:
    static const uint8_t Error = 0x00;

    static const uint8_t Ping = 0x01;
    static const uint8_t Reply = 0x02;
    static const uint8_t GetMode = 0x03;
    static const uint8_t SetMode = 0x04;
    static const uint8_t GetRange = 0x05;
    static const uint8_t SetRange = 0x06;
    static const uint8_t UpdateFirmware = 0xFF;
};


class Mode
{
  public:
    static const uint8_t Static = 0x01;
    static const uint8_t Custom = 0x02;
    static const uint8_t Alternate = 0x03;
    static const uint8_t Slide = 0x04;
    //static const uint8_t ADC = 0x05;
};

#endif