#ifndef __embed_css
#define __embed_css

#include <pgmspace.h>

const char EmbeddedBundleCSS[] PROGMEM = 
  "*,:after,:before{box-sizing:inherit}html{box-sizing:border-box;font-size:62.5%}body{color:#606c76;fo"
  "nt-family:Roboto,'Helvetica Neue',Helvetica,Arial,sans-serif;font-size:1.6em;font-weight:300;letter-"
  "spacing:.01em;line-height:1.6}blockquote{border-left:.3rem solid #404040;margin-left:0;margin-right:"
  "0;padding:1rem 1.5rem}blockquote :last-child{margin-bottom:0}.button,button,input[type=button],input"
  "[type=reset],input[type=submit]{background-color:#06f;border:.1rem solid #06f;border-radius:.4rem;co"
  "lor:#fff;cursor:pointer;display:inline-block;font-size:1.1rem;font-weight:700;height:3.8rem;letter-s"
  "pacing:.1rem;line-height:3.8rem;padding:0 3rem;text-align:center;text-decoration:none;text-transform"
  ":uppercase;white-space:nowrap}.button:focus,.button:hover,button:focus,button:hover,input[type=butto"
  "n]:focus,input[type=button]:hover,input[type=reset]:focus,input[type=reset]:hover,input[type=submit]"
  ":focus,input[type=submit]:hover{background-color:#606c76;border-color:#606c76;color:#fff;outline:0}."
  "button[disabled],button[disabled],input[type=button][disabled],input[type=reset][disabled],input[typ"
  "e=submit][disabled]{cursor:default;opacity:.5}.button[disabled]:focus,.button[disabled]:hover,button"
  "[disabled]:focus,button[disabled]:hover,input[type=button][disabled]:focus,input[type=button][disabl"
  "ed]:hover,input[type=reset][disabled]:focus,input[type=reset][disabled]:hover,input[type=submit][dis"
  "abled]:focus,input[type=submit][disabled]:hover{background-color:#06f;border-color:#06f}.button.butt"
  "on-outline,button.button-outline,input[type=button].button-outline,input[type=reset].button-outline,"
  "input[type=submit].button-outline{background-color:transparent;color:#06f}.button.button-outline:foc"
  "us,.button.button-outline:hover,button.button-outline:focus,button.button-outline:hover,input[type=b"
  "utton].button-outline:focus,input[type=button].button-outline:hover,input[type=reset].button-outline"
  ":focus,input[type=reset].button-outline:hover,input[type=submit].button-outline:focus,input[type=sub"
  "mit].button-outline:hover{background-color:transparent;border-color:#606c76;color:#606c76}.button.bu"
  "tton-outline[disabled]:focus,.button.button-outline[disabled]:hover,button.button-outline[disabled]:"
  "focus,button.button-outline[disabled]:hover,input[type=button].button-outline[disabled]:focus,input["
  "type=button].button-outline[disabled]:hover,input[type=reset].button-outline[disabled]:focus,input[t"
  "ype=reset].button-outline[disabled]:hover,input[type=submit].button-outline[disabled]:focus,input[ty"
  "pe=submit].button-outline[disabled]:hover{border-color:inherit;color:#06f}.button.button-clear,butto"
  "n.button-clear,input[type=button].button-clear,input[type=reset].button-clear,input[type=submit].but"
  "ton-clear{background-color:transparent;border-color:transparent;color:#06f}.button.button-clear:focu"
  "s,.button.button-clear:hover,button.button-clear:focus,button.button-clear:hover,input[type=button]."
  "button-clear:focus,input[type=button].button-clear:hover,input[type=reset].button-clear:focus,input["
  "type=reset].button-clear:hover,input[type=submit].button-clear:focus,input[type=submit].button-clear"
  ":hover{background-color:transparent;border-color:transparent;color:#606c76}.button.button-clear[disa"
  "bled]:focus,.button.button-clear[disabled]:hover,button.button-clear[disabled]:focus,button.button-c"
  "lear[disabled]:hover,input[type=button].button-clear[disabled]:focus,input[type=button].button-clear"
  "[disabled]:hover,input[type=reset].button-clear[disabled]:focus,input[type=reset].button-clear[disab"
  "led]:hover,input[type=submit].button-clear[disabled]:focus,input[type=submit].button-clear[disabled]"
  ":hover{color:#06f}code{background:#f4f5f6;border-radius:.4rem;font-size:86%;margin:0 .2rem;padding:."
  "2rem .5rem;white-space:nowrap}pre{background:#f4f5f6;border-left:.3rem solid #06f;overflow-y:hidden}"
  "pre>code{border-radius:0;display:block;padding:1rem 1.5rem;white-space:pre}hr{border:0;border-top:.1"
  "rem solid #f4f5f6;margin:3rem 0}input[type=email],input[type=number],input[type=password],input[type"
  "=search],input[type=tel],input[type=text],input[type=url],select,textarea{appearance:none;background"
  "-color:transparent;border:.1rem solid #404040;border-radius:.4rem;box-shadow:none;box-sizing:inherit"
  ";height:3.8rem;padding:.6rem 1rem;width:100%}input[type=email]:focus,input[type=number]:focus,input["
  "type=password]:focus,input[type=search]:focus,input[type=tel]:focus,input[type=text]:focus,input[typ"
  "e=url]:focus,select:focus,textarea:focus{border-color:#06f;outline:0}select{background:url('data:ima"
  "ge/svg+xml;utf8,<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"14\" viewBox=\"0 0 29 14\" width="
  "\"29\"><path fill=\"#d1d1d1\" d=\"M9.37727 3.625l5.08154 6.93523L19.54036 3.625\"/></svg>') center r"
  "ight no-repeat;padding-right:3rem}select:focus{background-image:url('data:image/svg+xml;utf8,<svg xm"
  "lns=\"http://www.w3.org/2000/svg\" height=\"14\" viewBox=\"0 0 29 14\" width=\"29\"><path fill=\"#9b"
  "4dca\" d=\"M9.37727 3.625l5.08154 6.93523L19.54036 3.625\"/></svg>')}textarea{min-height:6.5rem}labe"
  "l,legend{display:block;font-size:1.6rem;font-weight:700;margin-bottom:.5rem}fieldset{border-width:0;"
  "padding:0}input[type=checkbox],input[type=radio]{display:inline}.label-inline{display:inline-block;f"
  "ont-weight:400;margin-left:.5rem}.container{margin:0 auto;max-width:112rem;padding:0 2rem;position:r"
  "elative;width:100%}.row{display:flex;flex-direction:column;padding:0;width:100%}.row.row-no-padding{"
  "padding:0}.row.row-no-padding>.column{padding:0}.row.row-wrap{flex-wrap:wrap}.row.row-top{align-item"
  "s:flex-start}.row.row-bottom{align-items:flex-end}.row.row-center{align-items:center}.row.row-stretc"
  "h{align-items:stretch}.row.row-baseline{align-items:baseline}.row .column{display:block;flex:1 1 aut"
  "o;margin-left:0;max-width:100%;width:100%}.row .column.column-offset-10{margin-left:10%}.row .column"
  ".column-offset-20{margin-left:20%}.row .column.column-offset-25{margin-left:25%}.row .column.column-"
  "offset-33,.row .column.column-offset-34{margin-left:33.3333%}.row .column.column-offset-50{margin-le"
  "ft:50%}.row .column.column-offset-66,.row .column.column-offset-67{margin-left:66.6666%}.row .column"
  ".column-offset-75{margin-left:75%}.row .column.column-offset-80{margin-left:80%}.row .column.column-"
  "offset-90{margin-left:90%}.row .column.column-10{flex:0 0 10%;max-width:10%}.row .column.column-20{f"
  "lex:0 0 20%;max-width:20%}.row .column.column-25{flex:0 0 25%;max-width:25%}.row .column.column-33,."
  "row .column.column-34{flex:0 0 33.3333%;max-width:33.3333%}.row .column.column-40{flex:0 0 40%;max-w"
  "idth:40%}.row .column.column-50{flex:0 0 50%;max-width:50%}.row .column.column-60{flex:0 0 60%;max-w"
  "idth:60%}.row .column.column-66,.row .column.column-67{flex:0 0 66.6666%;max-width:66.6666%}.row .co"
  "lumn.column-75{flex:0 0 75%;max-width:75%}.row .column.column-80{flex:0 0 80%;max-width:80%}.row .co"
  "lumn.column-90{flex:0 0 90%;max-width:90%}.row .column .column-top{align-self:flex-start}.row .colum"
  "n .column-bottom{align-self:flex-end}.row .column .column-center{align-self:center}@media (min-width"
  ":40rem){.row{flex-direction:row;margin-left:-1rem;width:calc(100% + 2rem)}.row .column{margin-bottom"
  ":inherit;padding:0 1rem}}a{color:#06f;text-decoration:none}a:focus,a:hover{color:#606c76}dl,ol,ul{li"
  "st-style:none;margin-top:0;padding-left:0}dl dl,dl ol,dl ul,ol dl,ol ol,ol ul,ul dl,ul ol,ul ul{font"
  "-size:90%;margin:1.5rem 0 1.5rem 3rem}ol{list-style:decimal inside}ul{list-style:circle inside}.butt"
  "on,button,dd,dt,li{margin-bottom:1rem}fieldset,input,select,textarea{margin-bottom:1.5rem}blockquote"
  ",dl,figure,form,ol,p,pre,table,ul{margin-bottom:2.5rem}table{border-spacing:0;width:100%}td,th{borde"
  "r-bottom:.1rem solid #e1e1e1;padding:1.2rem 1.5rem;text-align:left}td:first-child,th:first-child{pad"
  "ding-left:0}td:last-child,th:last-child{padding-right:0}b,strong{font-weight:700}p{margin-top:0}h1,h"
  "2,h3,h4,h5,h6{font-weight:300;letter-spacing:-.1rem;margin-bottom:2rem;margin-top:0}h1{font-size:4.6"
  "rem;line-height:1.2}h2{font-size:3.6rem;line-height:1.25}h3{font-size:2.8rem;line-height:1.3}h4{font"
  "-size:2.2rem;letter-spacing:-.08rem;line-height:1.35}h5{font-size:1.8rem;letter-spacing:-.05rem;line"
  "-height:1.5}h6{font-size:1.6rem;letter-spacing:0;line-height:1.4}img{max-width:100%}.clearfix:after{"
  "clear:both;content:' ';display:table}.float-left{float:left}.float-right{float:right}[v-cloak]{displ"
  "ay:none}body{background-color:#000;color:#fff;font-family:Verdana,Arial,sans-serif;font-size:10pt;pa"
  "dding-bottom:3rem}@media screen and (min-width:768px){body{padding-top:3rem}}input,textarea{color:#f"
  "ff}#container{background-color:#202020;margin-top:2rem;padding:1rem;box-shadow:0 0 50px #fcf6cf;bord"
  "er:solid 1px #000}@media screen and (min-width:768px){#container{width:768px;margin-left:auto;margin"
  "-right:auto}}.header{position:relative}.header img{float:left;margin-right:1rem}.header .wifistatus{"
  "position:absolute;right:0;top:0}.header .wifistatus .indicator{display:inline-block;width:1rem;heigh"
  "t:1rem;border-radius:50%;margin-right:.5rem}.header .wifistatus .indicator[data-status=connected]{ba"
  "ckground-color:#396}.header .wifistatus .indicator[data-status=disconnected]{border:solid 1px grey}."
  "header .wifistatus .indicator[data-status=connecting]{background-color:#f93}.header .wifistatus .ind"
  "icator[data-status=error]{background-color:#c00}h1{font-size:16pt;margin:0}h2{color:silver;font-size"
  ":10pt;margin:0}h3{color:grey;background-color:#282828;font-size:14pt;border-bottom:solid 1px grey}.v"
  "ersion{color:grey;font-size:8pt;text-align:center;margin-top:2rem}.tabs{clear:both;margin-top:3rem}."
  "tabs .button{background-color:#404040;color:#fff!important;border-color:grey}.tabs .button.button-ou"
  "tline{background-color:transparent}input[disabled]{cursor:not-allowed;color:grey;background-color:#2"
  "62626}.label-inline{margin-right:2rem}.hint{display:block;font-size:8pt;color:grey;margin-bottom:1.5"
  "rem}.loading{margin-top:3rem;text-align:center}.suboptions{margin-left:5rem}.buttons{text-align:cent"
  "er}.slider{-webkit-appearance:none;width:100%;height:.5rem;border-radius:.25rem;background:#404040;o"
  "utline:0}.slider::-webkit-slider-thumb{-webkit-appearance:none;appearance:none;width:2rem;height:2re"
  "m;border-radius:50%;background:#fcf6cf;cursor:pointer}.slider::-moz-range-thumb{width:2rem;height:2r"
  "em;border-radius:50%;background:#fcf6cf;cursor:pointer}";

#endif
